# NodeCore Extended Rotating

This mod follows in the footsteps of the useful [Extended Placement] mod for
[Minetest] and adds the ability to rotate certain nodes from [NodeCore] such
as optics and doors easily, without having to cycle through all possible
rotations every time.

![Screenshot](docs/screenshot.png)

Rotating a node can be done in three ways:

- Click near the center of a face, and the node rotates 90° around it.
- Click near an edge, and the node will be rotated 90° away from you.
- Click near a corner, and the node will rotate 120° around it.

Sneaking while empty-handed inverts the direction of the rotation.

[Minetest]: https://www.minetest.net/
[NodeCore]: https://content.minetest.net/packages/Warr1024/nodecore/
[Extended Placement]: https://content.minetest.net/packages/gamefreq0/extended_placement/
